ConfigurationCandidatesIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Class ConfigurationCandidatesIterator

    java.lang.Object
      net.ctdp.rfdynhud.util.ConfigurationCandidatesIterator

All Implemented Interfaces:
  java.util.Iterator<java.io.File>

    public class ConfigurationCandidatesIterator

extends java.lang.Object
implements java.util.Iterator<java.io.File>

Constructor Summary
`ConfigurationCandidatesIterator()`

Method Summary
`protected void` | `addBigMonitorCandidates(java.io.File configFolder, java.lang.String modName, java.lang.String vehicleName, SessionType sessionType)`
`protected void` | `addCandidate(java.io.File configFolder, java.lang.String filename)`
`protected void` | `addCandidate(java.io.File configFolder, java.lang.String modName, java.lang.String filename)`
`protected void` | `addGarageCandidates(java.io.File configFolder, java.lang.String modName, java.lang.String vehicleName, SessionType sessionType)`
`protected void` | `addMonitorCandidates(java.io.File configFolder, java.lang.String modName, java.lang.String vehicleName, SessionType sessionType)`
`protected void` | `addRegularCandidates(java.io.File configFolder, java.lang.String modName, java.lang.String vehicleName, SessionType sessionType)`
`protected void` | `addSmallMonitorCandidates(java.io.File configFolder, java.lang.String modName, java.lang.String vehicleName, SessionType sessionType)`
`void` | `collectCandidates(boolean smallMonitor, boolean bigMonitor, boolean isInGarage, java.lang.String modName, java.lang.String vehicleName, SessionType sessionType)`
`boolean` | `hasNext()`
`java.io.File` | `next()`
`void` | `remove()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationCandidatesIterator

    public ConfigurationCandidatesIterator()

Method Detail

### reset

    public void reset()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.io.File>`

### next

    public java.io.File next()

  Specified by:
    `next` in interface `java.util.Iterator<java.io.File>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.io.File>`

### addCandidate

    protected void addCandidate(java.io.File configFolder,
                                java.lang.String modName,
                                java.lang.String filename)

### addCandidate

    protected void addCandidate(java.io.File configFolder,
                                java.lang.String filename)

### addSmallMonitorCandidates

    protected void addSmallMonitorCandidates(java.io.File configFolder,
                                             java.lang.String modName,
                                             java.lang.String vehicleName,
                                             SessionType sessionType)

### addBigMonitorCandidates

    protected void addBigMonitorCandidates(java.io.File configFolder,
                                           java.lang.String modName,
                                           java.lang.String vehicleName,
                                           SessionType sessionType)

### addMonitorCandidates

    protected void addMonitorCandidates(java.io.File configFolder,
                                        java.lang.String modName,
                                        java.lang.String vehicleName,
                                        SessionType sessionType)

### addGarageCandidates

    protected void addGarageCandidates(java.io.File configFolder,
                                       java.lang.String modName,
                                       java.lang.String vehicleName,
                                       SessionType sessionType)

### addRegularCandidates

    protected void addRegularCandidates(java.io.File configFolder,
                                        java.lang.String modName,
                                        java.lang.String vehicleName,
                                        SessionType sessionType)

### collectCandidates

    public void collectCandidates(boolean smallMonitor,
                                  boolean bigMonitor,
                                  boolean isInGarage,
                                  java.lang.String modName,
                                  java.lang.String vehicleName,
                                  SessionType sessionType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD